List FacilityAppointments

​

Body

application/json

Use this endpoint to get a list of FacilityAppointments for a given Facility.

Either a pair of start/end or start_created_at/end_created_at or modified_range must be provided.

  • start and end queries for appointments by their respective scheduled start and end times. It will return recurring appointments.
  • start_created_at and end_created_at will query by the original create date of the appointment, and will only return the first appointment of a recurring appointment series.
  • modified_range will return all appointments updated within the range provided.
  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • Properties: 2
  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Responses

  • application/json
Request Example for post/conduit.v1.get_facility_appointments
curl https://api.getconduit.ai/conduit.v1.get_facility_appointments \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "facility_id": "2aae24c7-438d-473f-aba8-7793b7efdec3",
  "start": "2025-05-11",
  "end": "2025-05-14"
}'
[
  {
    "id": "0bc8eae3-2e91-43ef-bd4a-164c76618942",
    "type": "Inbound",
    "scheduled_start_time": "2025-05-11T11:00:00-07:00",
    "scheduled_end_time": "2025-05-11T13:00:00-07:00",
    "recurring_facility_appointment": null,
    "order_info": [
      {
        "id": "ebac8fbe-6d97-41a6-b294-c48fb1671a77",
        "reference_id": "PO-10045",
        "external_reference_id": "ERP-55821",
        "references": [
          {
            "id": "5f0c7a1e-3b8d-4f6a-9c2e-1d4b7a8e9f30",
            "organization_order_reference_type": "9d1e4c2b-7a3f-4e8d-b6c5-2f1a0e9d8c7b",
            "value": "BOL-7781"
          }
        ]
      }
    ],
    "created_at": "2025-05-08T16:16:50.702445-07:00",
    "updated_at": "2025-05-08T16:16:50.702457-07:00",
    "is_work_in": false,
    "quantity": 52,
    "units": "Pallets",
    "carrier": "Ftl Trucks",
    "carrier_scac": "FTLT",
    "carrier_email": "[email protected],[email protected]",
    "carrier_emails": [
      "[email protected]",
      "[email protected]"
    ],
    "carrier_phone": "+15555550123",
    "carrier_driver": "Sam Rivera",
    "carrier_notes": "Driver will arrive with a 53ft reefer.",
    "dock": null,
    "tractor_number": null,
    "trailer_number": null,
    "seal_number": null,
    "estimated_start_datetime": "2025-05-11T11:20:00-07:00",
    "checked_in_at": null,
    "checked_out_at": null,
    "cancelled_at": null,
    "cancelled_reason": null,
    "cancelled_note": null,
    "facility": "2aae24c7-438d-473f-aba8-7793b7efdec3",
    "customer": "Globex",
    "status": "Scheduled",
    "confirmation_code": "TZSKJI",
    "shipper_receiver": "Sierra Bottling",
    "forklift": null,
    "load_started_at": null,
    "load_finished_at": null,
    "notes": null,
    "public_notes": "Use the north gate.",
    "loading_type": "Live",
    "all_load_types": [
      {
        "id": "26d42ad5-b259-4596-8f27-9a3fc77dcc08",
        "name": "Dry Van"
      }
    ]
  },
  {
    "id": "7c1f2d3e-4b5a-4c6d-8e9f-0a1b2c3d4e5f",
    "type": "Outbound",
    "scheduled_start_time": "2025-05-12T15:00:00-07:00",
    "scheduled_end_time": "2025-05-12T17:00:00-07:00",
    "recurring_facility_appointment": null,
    "order_info": [
      {
        "id": "3e8b1c2d-5f6a-4b7c-9d0e-1f2a3b4c5d6e",
        "reference_id": "SO-20981",
        "external_reference_id": null,
        "references": []
      }
    ],
    "created_at": "2025-05-09T08:02:11.120394-07:00",
    "updated_at": "2025-05-12T15:05:00.004112-07:00",
    "is_work_in": false,
    "quantity": 26,
    "units": "Pallets",
    "carrier": "Ftl Trucks",
    "carrier_scac": "FTLT",
    "carrier_email": "[email protected]",
    "carrier_emails": [
      "[email protected]"
    ],
    "carrier_phone": null,
    "carrier_driver": "Sam Rivera",
    "carrier_notes": null,
    "dock": "Door 4",
    "tractor_number": "T-1182",
    "trailer_number": "TR-55312",
    "seal_number": "SL-90021",
    "estimated_start_datetime": null,
    "checked_in_at": "2025-05-12T14:52:00-07:00",
    "checked_out_at": null,
    "cancelled_at": null,
    "cancelled_reason": null,
    "cancelled_note": null,
    "facility": "2aae24c7-438d-473f-aba8-7793b7efdec3",
    "customer": null,
    "status": "Loading",
    "confirmation_code": "QWMBPL",
    "shipper_receiver": "Acme Foods",
    "forklift": "Jordan",
    "load_started_at": "2025-05-12T15:05:00-07:00",
    "load_finished_at": null,
    "notes": null,
    "public_notes": null,
    "loading_type": "Drop",
    "all_load_types": []
  },
  {
    "id": "a4b5c6d7-e8f9-4a0b-8c1d-2e3f4a5b6c7d",
    "type": "Inbound",
    "scheduled_start_time": "2025-05-13T09:00:00-07:00",
    "scheduled_end_time": "2025-05-13T10:00:00-07:00",
    "recurring_facility_appointment": null,
    "order_info": [
      {
        "id": "c2d3e4f5-a6b7-4c8d-9e0f-1a2b3c4d5e6f",
        "reference_id": "PO-10077",
        "external_reference_id": null,
        "references": []
      }
    ],
    "created_at": "2025-05-09T10:41:27.338201-07:00",
    "updated_at": "2025-05-10T07:12:44.902117-07:00",
    "is_work_in": false,
    "quantity": 20,
    "units": "Pallets",
    "carrier": "Ftl Trucks",
    "carrier_scac": null,
    "carrier_email": "[email protected]",
    "carrier_emails": [
      "[email protected]"
    ],
    "carrier_phone": null,
    "carrier_driver": null,
    "carrier_notes": null,
    "dock": null,
    "tractor_number": null,
    "trailer_number": null,
    "seal_number": null,
    "estimated_start_datetime": null,
    "checked_in_at": null,
    "checked_out_at": null,
    "cancelled_at": "2025-05-10T07:12:44.901839-07:00",
    "cancelled_reason": "FACILITY_CANCELLED_APPOINTMENT",
    "cancelled_note": "Order no longer required",
    "facility": "2aae24c7-438d-473f-aba8-7793b7efdec3",
    "customer": null,
    "status": "Cancelled",
    "confirmation_code": "HJRKTE",
    "shipper_receiver": "Sierra Bottling",
    "forklift": null,
    "load_started_at": null,
    "load_finished_at": null,
    "notes": null,
    "public_notes": null,
    "loading_type": "Live",
    "all_load_types": []
  }
]